# Spec ModPaddingString
Pad characters beyond the end of a string with default value.

Extends | ModifiedString
All Extended | ModifiedString
All Impl'd | AssignableConcept, ContainerConcept, DestructibleConcept
Defined in | <seqan/modifier.h>
Signature | `template <typename THost> class ModifiedString<THost, ModPadding>;`

## Template Parameters

`THost` | original string.

## Member Function Overview

### Member Functions Inherited From AssignableConcept

- `operator=`

## Interface Function Overview

- `void expand(str, size[, pad])`
  Expands the original string by the given size.

### Interface Functions Inherited From AssignableConcept

- `assign`
- `set`
- `move`

### Interface Functions Inherited From ContainerConcept

- `begin`
- `end`
- `length`
- `empty`
- `swap`
- `writeValue`
- `write`
- `getObjectId`
- `moveValue`
- `append`
- `appendValue`
- `shrinkToFit`
- `directionIterator`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From ContainerConcept

- `DefaultGetIteratorSpec`
- `DefaultIteratorSpec`
- `Difference`
- `DirectionIterator`
- `GetValue`
- `Iterator`
- `Position`
- `Reference`
- `Size`
- `Value`

## Interface Functions Detail

### `void expand(str, size[, pad])`

Expands the original string by the given size.

#### Parameters

`str` | The modified string to be padded.
`size` | The number of padded characters.
`pad` | The character to pad the sequence with.

#### Data Races

Not thread-safe.

#### Dox Sources

    /*!
     * @class ModPaddingString
     *
     * @extends ModifiedString
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Pad characters beyond the end of a string with default value.
     *
     * @signature template <typename THost> class ModifiedString<THost, ModPadding>;
     *
     * @tparam THost original string.
     *
     * @fn ModPaddingString#expand
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Expands the original string by the given size.
     *
     * @signature void expand(str, size[, pad])
     *
     * @param[in,out] str The modified string to be padded.
     * @param[in] size The number of padded characters.
     * @param[in] pad The character to pad the sequence with.
     *
     * @datarace Not thread-safe.
     */